scala.runtime
class RichChar

[source: `scala/runtime/RichChar.scala`]

`final` `class` RichChar(x : Char)
  `extends` Proxy `with` Ordered[Char]

  For example, in the following code

          object test extends Application {
            Console.println('\40'.isWhitespace)
            Console.println('\011'.isWhitespace)
            Console.println('1'.asDigit == 1)
            Console.println('A'.asDigit == 10)
          }

  the implicit conversions are performed using the predefined view `Predef.charWrapper`.

Method Summary
`def` | asDigit : Int
`def` | compare (y : Char) : Int Result of comparing `this` with operand `that`. returns `x` where `x < 0` iff `this < that` `x == 0` iff `this == that` `x > 0` iff `this > that`
`def` | isControl : Boolean
`def` | isDigit : Boolean
`def` | isLetter : Boolean
`def` | isLetterOrDigit : Boolean
`def` | isLowerCase : Boolean
`def` | isUpperCase : Boolean
`def` | isWhitespace : Boolean
`def` | self : Any
`def` | to (y : Char) : Iterator[Char] Create an Iterator[Char] over the characters from 'x' to 'y'
`def` | toLowerCase : Char
`def` | toUpperCase : Char
`def` | until (limit : Char) : Iterator[Char] Create an Iterator[Char] over the characters from 'x' to 'y' - 1

Methods inherited from Ordered
<, >, <=, >=, compareTo

Methods inherited from Proxy
hashCode, equals, toString

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` self : Any

Overrides
  Proxy.self

`` `def` compare(y : Char) : Int

  Result of comparing `this` with operand `that`. returns `x` where `x < 0` iff `this < that` `x == 0` iff `this == that` `x > 0` iff `this > that`

Overrides
  Ordered.compare

`` `def` asDigit : Int

`` `def` isControl : Boolean

`` `def` isDigit : Boolean

`` `def` isLetter : Boolean

`` `def` isLetterOrDigit : Boolean

`` `def` isLowerCase : Boolean

`` `def` isUpperCase : Boolean

`` `def` isWhitespace : Boolean

`` `def` toLowerCase : Char

`` `def` toUpperCase : Char

`` `def` until(limit : Char) : Iterator[Char]

  Create an Iterator[Char] over the characters from 'x' to 'y' - 1

`` `def` to(y : Char) : Iterator[Char]

  Create an Iterator[Char] over the characters from 'x' to 'y'